Bug 623701

Summary: Fedora 13 doesn't boots up under 2.6.35 kernel KVM
Product: [Fedora] Fedora Reporter: Michal Fojtik <mfojtik>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, clalance, dwmw2, ehabkost, extras-orphan, gcosta, itamar, jaswinder, jforbes, knoel, markmc, notting, ondrejj, quintela, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-28 10:40:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
2.6.35 kernel config none

Description Michal Fojtik 2010-08-12 10:51:30 EDT
Description of problem:

After updating kernel on my Gentoo machine to 2.6.35, my Fedora 13 installation on KVM doesn't boots up. After I start it under virt-manager, it just shows black screen with underscore.
I tried to hit F1 key and I get into GRUB menu. Then after I removed quite boot params, it behave same. (no boot messages, anything). QEMU-kvm seems draining CPU on host machine.
Then I reinstalled Fedora 13 from scratch. Installation was OK but after reboot it behave same...

Version-Release number of selected component (if applicable):

Kernel 2.6.35
Fedora 13

How reproducible:

Install F13 on KVM (2.6.35/-r1). Reboot.


Steps to Reproduce:

1. Update to 2.6.35 kernel
2. Install F13 on KVM
3. Reboot
Comment 1 Michal Fojtik 2010-08-12 10:54:39 EDT
Oh, I forgot mention, that when I reboot to 2.6.35 it works normally. Of course I have kvm and kvm-intel modules included in kernel.
Comment 2 Michal Fojtik 2010-08-12 10:55:36 EDT
Created attachment 438461 [details]
2.6.35 kernel config
Comment 3 Michal Fojtik 2010-08-12 10:58:03 EDT
QEMU command (grabbed from libvirt log):

LC_ALL=C PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin HOME=/home/mfojtik USER=root QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.12 -enable-kvm -m 512 -smp 1,sockets=1,cores=1,threads=1 -name fedora13 -uuid 9b4fbda4-820b-d53b-21ba-c7262425ea99 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/fedora13.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=utc -boot c -drive file=/var/lib/libvirt/images/fedora14.img,if=none,id=drive-virtio-disk0,boot=on,format=raw -device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device virtio-net-pci,vlan=0,id=net0,mac=52:54:00:38:dc:16,bus=pci.0,addr=0x5 -net tap,fd=40,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -k en-us -vga cirrus -device AC97,id=sound0,bus=pci.0,addr=0x6 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
char device redirected to /dev/pts/2
Comment 4 Bug Zapper 2011-06-01 07:35:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:40:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.